Bug 1288850 - [abrt] gnome-settings-daemon: CD_IS_DEVICE(): gnome-settings-daemon killed by SIGSEGV
[abrt] gnome-settings-daemon: CD_IS_DEVICE(): gnome-settings-daemon killed by...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
AcceptedBlocker abrt_hash:14348988326...
: CommonBugs
: 1306014 1306461 1311026 1316850 1317199 1322243 1322631 1322694 1322972 1323565 1327841 1327842 1329021 1329826 1331929 1331962 (view as bug list)
Depends On:
Blocks: F24BetaBlocker
  Show dependency treegraph
 
Reported: 2015-12-06 09:00 EST by Joachim Frieben
Modified: 2016-05-01 18:24 EDT (History)
50 users (show)

See Also:
Fixed In Version: gnome-settings-daemon-3.20.0-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-03 10:37:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (43.58 KB, text/plain)
2015-12-06 09:00 EST, Joachim Frieben
no flags Details
File: cgroup (240 bytes, text/plain)
2015-12-06 09:00 EST, Joachim Frieben
no flags Details
File: core_backtrace (4.79 KB, text/plain)
2015-12-06 09:00 EST, Joachim Frieben
no flags Details
File: dso_list (13.94 KB, text/plain)
2015-12-06 09:00 EST, Joachim Frieben
no flags Details
File: environ (1.05 KB, text/plain)
2015-12-06 09:00 EST, Joachim Frieben
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-06 09:00 EST, Joachim Frieben
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-06 09:00 EST, Joachim Frieben
no flags Details
File: maps (68.90 KB, text/plain)
2015-12-06 09:00 EST, Joachim Frieben
no flags Details
File: mountinfo (3.69 KB, text/plain)
2015-12-06 09:00 EST, Joachim Frieben
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-06 09:01 EST, Joachim Frieben
no flags Details
File: open_fds (7.48 KB, text/plain)
2015-12-06 09:01 EST, Joachim Frieben
no flags Details
File: proc_pid_status (1.16 KB, text/plain)
2015-12-06 09:01 EST, Joachim Frieben
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-12-06 09:01 EST, Joachim Frieben
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 763382 None None None 2016-03-11 05:45 EST

  None (edit)
Description Joachim Frieben 2015-12-06 09:00:38 EST
Version-Release number of selected component:
gnome-settings-daemon-3.18.2-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: CD_IS_DEVICE
executable:     /usr/libexec/gnome-settings-daemon
global_pid:     2284
kernel:         4.4.0-0.rc3.git4.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            42

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 CD_IS_DEVICE at cd-device.h:41
 #1 cd_device_dbus_properties_changed_cb at cd-device.c:624
 #2 ffi_call_unix64 at ../src/x86/unix64.S:76
 #3 ffi_call at ../src/x86/ffi64.c:525
 #4 g_cclosure_marshal_generic at gclosure.c:1490
 #9 on_properties_changed at gdbusproxy.c:1139
 #10 emit_signal_instance_in_idle_cb at gdbusconnection.c:3701
 #15 gtk_main at gtkmain.c:1241
Comment 1 Joachim Frieben 2015-12-06 09:00:45 EST
Created attachment 1102794 [details]
File: backtrace
Comment 2 Joachim Frieben 2015-12-06 09:00:47 EST
Created attachment 1102795 [details]
File: cgroup
Comment 3 Joachim Frieben 2015-12-06 09:00:49 EST
Created attachment 1102796 [details]
File: core_backtrace
Comment 4 Joachim Frieben 2015-12-06 09:00:51 EST
Created attachment 1102797 [details]
File: dso_list
Comment 5 Joachim Frieben 2015-12-06 09:00:52 EST
Created attachment 1102798 [details]
File: environ
Comment 6 Joachim Frieben 2015-12-06 09:00:54 EST
Created attachment 1102799 [details]
File: exploitable
Comment 7 Joachim Frieben 2015-12-06 09:00:55 EST
Created attachment 1102800 [details]
File: limits
Comment 8 Joachim Frieben 2015-12-06 09:00:58 EST
Created attachment 1102801 [details]
File: maps
Comment 9 Joachim Frieben 2015-12-06 09:00:59 EST
Created attachment 1102802 [details]
File: mountinfo
Comment 10 Joachim Frieben 2015-12-06 09:01:01 EST
Created attachment 1102803 [details]
File: namespaces
Comment 11 Joachim Frieben 2015-12-06 09:01:03 EST
Created attachment 1102804 [details]
File: open_fds
Comment 12 Joachim Frieben 2015-12-06 09:01:04 EST
Created attachment 1102805 [details]
File: proc_pid_status
Comment 13 Joachim Frieben 2015-12-06 09:01:06 EST
Created attachment 1102806 [details]
File: var_log_messages
Comment 14 Chris Murphy 2015-12-19 18:14:31 EST
also happens with 20151219 Workstation rawhide build with gnome-settings-daemon-3.19.4.1.fc24.x86_64.
Comment 15 Richard Hughes 2016-01-12 04:25:16 EST
I'm really struggling to work out what's going on here; we disconnect the signals on finalize so there must be some kind of race. Can you give me any hints on how you might be able to trigger this? Thanks.
Comment 16 Chris Murphy 2016-02-03 22:45:50 EST
Boot any of the Rawhide nightlies, and when the desktop comes up, I get a notification that gnome-settings-daemon has crashed. Always happens.
Comment 17 Jared Smith 2016-02-05 08:16:26 EST
Similar problem has been detected:

Not sure

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: CD_IS_DEVICE
executable:     /usr/libexec/gnome-settings-daemon
global_pid:     2152
kernel:         4.5.0-0.rc2.git2.1.fc24.x86_64
package:        gnome-settings-daemon-3.19.5-1.fc24
reason:         gnome-settings-daemon killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            42
Comment 18 Ilya Gradina 2016-02-09 15:36:43 EST
*** Bug 1306014 has been marked as a duplicate of this bug. ***
Comment 19 yucef sourani 2016-02-10 17:24:51 EST
*** Bug 1306461 has been marked as a duplicate of this bug. ***
Comment 20 Charles R. Anderson 2016-02-20 22:39:27 EST
Similar problem has been detected:

Boot into Fedora-Workstation-Live-x86_64-rawhide-20160220.iso with enforcing=0 to avoid SELinux issues.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: CD_IS_DEVICE
executable:     /usr/libexec/gnome-settings-daemon
global_pid:     1899
kernel:         4.5.0-0.rc4.git3.1.fc24.x86_64
package:        gnome-settings-daemon-3.19.90-1.fc24
reason:         gnome-settings-daemon killed by SIGSEGV
runlevel:       unknown
type:           CCpp
uid:            1000
Comment 21 Алексей Смирнов 2016-02-23 03:15:41 EST
*** Bug 1311026 has been marked as a duplicate of this bug. ***
Comment 22 Jan Kurik 2016-02-24 09:06:18 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 23 Branko Grubić 2016-02-27 07:59:45 EST
Is this the same crash? 

#0  0x00007f2d27364fab in cd_device_dbus_properties_changed_cb () at /lib64/libcolord.so.2
#1  0x00007f2d5895cc58 in ffi_call_unix64 () at /lib64/libffi.so.6
#2  0x00007f2d5895c6ba in ffi_call () at /lib64/libffi.so.6
#3  0x00007f2d59470d9e in g_cclosure_marshal_generic () at /lib64/libgobject-2.0.so.0
#4  0x00007f2d59470578 in g_closure_invoke () at /lib64/libgobject-2.0.so.0
#5  0x00007f2d59483152 in signal_emit_unlocked_R () at /lib64/libgobject-2.0.so.0
#6  0x00007f2d5948c45c in g_signal_emit_valist () at /lib64/libgobject-2.0.so.0
#7  0x00007f2d5948c82f in g_signal_emit () at /lib64/libgobject-2.0.so.0
#8  0x00007f2d5979c0b9 in on_properties_changed () at /lib64/libgio-2.0.so.0
#9  0x00007f2d5978b367 in emit_signal_instance_in_idle_cb () at /lib64/libgio-2.0.so.0
#10 0x00007f2d5919bba3 in g_main_context_dispatch () at /lib64/libglib-2.0.so.0
#11 0x00007f2d5919bf50 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#12 0x00007f2d5919c272 in g_main_loop_run () at /lib64/libglib-2.0.so.0
#13 0x00007f2d5ad43735 in gtk_main () at /lib64/libgtk-3.so.0
#14 0x000056152596467b in main ()


gnome-settings-daemon-3.19.90-1.fc24.x86_64
colord-1.3.1-3.fc24.x86_64
colord-libs-1.3.1-3.fc24.x86_64
Comment 24 Matthias Clasen 2016-03-03 15:47:53 EST
Just briefly looking at the code, 

gsd_color_manager_start calls gsd_color_state_start, which starts all sort of async stuff, while operating on a borrowed reference to the state object that was passed in from the color manager.

gsd_color_manager_stop does nothing to interrup the async stuff that might be happening with the state object.

and finalize throws away the reference to the state object.

That seems like an obvious opportunity for the async machinery to operate on a dead state object. Not saying this is what is happening here, but
Comment 25 Matthias Clasen 2016-03-09 11:51:03 EST
Filed downstream at https://bugzilla.gnome.org/show_bug.cgi?id=763382
Comment 26 Andrew Cook 2016-03-11 05:14:25 EST
*** Bug 1316850 has been marked as a duplicate of this bug. ***
Comment 27 Christian Stadelmann 2016-03-12 18:05:48 EST
*** Bug 1317199 has been marked as a duplicate of this bug. ***
Comment 28 Han Han 2016-03-14 07:47:26 EDT
Similar problem has been detected:

Bug reproduced when gnome starts.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: CD_IS_DEVICE
executable:     /usr/libexec/gnome-settings-daemon
global_pid:     2040
kernel:         4.5.0-0.rc7.git3.1.fc25.x86_64
package:        gnome-settings-daemon-3.19.91-1.fc25
reason:         gnome-settings-daemon killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 29 Stephen Gallagher 2016-03-17 08:40:14 EDT
Similar problem has been detected:

I booted the computer and logged into a GNOME Session (Xorg). This has also happened in a Wayland session previously.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: CD_IS_DEVICE
executable:     /usr/libexec/gnome-settings-daemon
global_pid:     2496
kernel:         4.5.0-0.rc7.git0.2.fc24.x86_64
package:        gnome-settings-daemon-3.19.91-1.fc24
reason:         gnome-settings-daemon killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            42
Comment 30 Joachim Frieben 2016-03-20 06:47:32 EDT
Issue still present for gnome-settings-daemon-3.19.92-1.fc24.
Comment 31 Christian Stadelmann 2016-03-20 09:01:32 EDT
(In reply to Joachim Frieben from comment #30)
> Issue still present for gnome-settings-daemon-3.19.92-1.fc24.

If you're looking into the upstream bug report and git repos [1] you'll see that this was fixed right after 3.19.92 was released.

[1] https://git.gnome.org/browse/gnome-settings-daemon/log/
Comment 32 Fedora Blocker Bugs Application 2016-03-20 09:12:39 EDT
Proposed as a Blocker for 24-beta by Fedora user genodeftest using the blocker tracking app because:

 Any custom (user) settings for both Gnome user sessions and GDM sessions queried from gnome-settings-daemon are ignored as a result of g-s-d crashing immediately after being started.
This violates:

Beta release criterium:  Desktop panel
No part of any release-blocking desktop's panel (or equivalent) configuration may crash on startup or be entirely non-functional. 

Final release criterium: Default panel functionality
All elements of the default panel (or equivalent) configuration in all release-blocking desktops must function correctly in typical use. 

PS: I haven't proposed any blocker or freeze exception before. I might have done it wrong. If I did, please tell me.
Comment 33 Kamil Páral 2016-03-21 13:51:30 EDT
Discussed at today's blocker review meeting [1]. Voted as AcceptedBlocker (Beta) - this is clearly a serious issue (g-s-d crashing has all sorts of consequences). It's not entirely clear exactly what triggers it, but certainly multiple people have run into it, so the impact seems severe enough to accept as a blocker

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2016-03-21
Comment 34 satellitgo 2016-03-22 14:32:10 EDT
Similar problem has been detected:

bare metal install/ user and root set in installer

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: CD_IS_DEVICE
executable:     /usr/libexec/gnome-settings-daemon
global_pid:     2122
kernel:         4.5.0-0.rc7.git0.2.fc24.x86_64
package:        gnome-settings-daemon-3.19.91-1.fc24
reason:         gnome-settings-daemon killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 35 Adam Williamson 2016-03-23 02:52:38 EDT
Similar problem has been detected:

Boot F24 Alpha candidate 7 (Alpha-1.7) Workstation x86_64 live on bare metal. Crash notification appeared as soon as the desktop came up.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: CD_IS_DEVICE
executable:     /usr/libexec/gnome-settings-daemon
global_pid:     1954
kernel:         4.5.0-0.rc7.git0.2.fc24.x86_64
package:        gnome-settings-daemon-3.19.91-1.fc24
reason:         gnome-settings-daemon killed by SIGSEGV
runlevel:       unknown
type:           CCpp
uid:            1000
Comment 36 Bastien Nocera 2016-03-23 06:59:30 EDT
There's a 3.20.0 release that should go in an update shortly:
http://koji.fedoraproject.org/koji/buildinfo?buildID=747442

If rel-eng wants to drag that into the compose, I'll let them do the necessary steps.
Comment 37 Adam Williamson 2016-03-23 11:00:42 EDT
Nah, no need, we'll just pick it up for Beta. I was just filing everything I saw in Alpha testing.
Comment 38 Mikhail 2016-03-29 15:32:22 EDT
Similar problem has been detected:

Just load Fedora Workstation 24 Alpha from live USB 

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: CD_IS_DEVICE
executable:     /usr/libexec/gnome-settings-daemon
global_pid:     2113
kernel:         4.5.0-0.rc7.git0.2.fc24.x86_64
package:        gnome-settings-daemon-3.19.91-1.fc24
reason:         gnome-settings-daemon killed by SIGSEGV
runlevel:       unknown
type:           CCpp
uid:            1000
Comment 39 Yves Soete 2016-03-30 02:35:14 EDT
*** Bug 1322243 has been marked as a duplicate of this bug. ***
Comment 40 Brandonn Etheve 2016-03-30 02:42:42 EDT
Similar problem has been detected:

happening at startup on a live DVD  

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: CD_IS_DEVICE
executable:     /usr/libexec/gnome-settings-daemon
global_pid:     1772
kernel:         4.5.0-0.rc7.git0.2.fc24.x86_64
package:        gnome-settings-daemon-3.19.91-1.fc24
reason:         gnome-settings-daemon killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 41 huffygruff 2016-03-30 19:59:31 EDT
*** Bug 1322631 has been marked as a duplicate of this bug. ***
Comment 42 Andrey Motoshkov 2016-03-31 02:56:24 EDT
*** Bug 1322694 has been marked as a duplicate of this bug. ***
Comment 43 Mikhail 2016-03-31 13:15:17 EDT
Similar problem has been detected:

just load Fedora from USB live flashdrive

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: CD_IS_DEVICE
executable:     /usr/libexec/gnome-settings-daemon
global_pid:     1828
kernel:         4.5.0-0.rc7.git0.2.fc24.x86_64
package:        gnome-settings-daemon-3.19.91-1.fc24
reason:         gnome-settings-daemon killed by SIGSEGV
runlevel:       unknown
type:           CCpp
uid:            1000
Comment 44 qbundle 2016-03-31 15:09:21 EDT
*** Bug 1322972 has been marked as a duplicate of this bug. ***
Comment 45 Mikhail 2016-04-03 04:51:13 EDT
Similar problem has been detected:

Just boot Fedora Live USB

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: CD_IS_DEVICE
executable:     /usr/libexec/gnome-settings-daemon
global_pid:     1810
kernel:         4.5.0-0.rc7.git0.2.fc24.x86_64
package:        gnome-settings-daemon-3.19.91-1.fc24
reason:         gnome-settings-daemon killed by SIGSEGV
runlevel:       unknown
type:           CCpp
uid:            1000
Comment 46 Joachim Frieben 2016-04-03 10:37:38 EDT
This bug has not appeared lately in installed systems with Fedora 23 including  package gnome-settings-daemon-3.18.3-1.fc23 and with Fedora 24 including package gnome-settings-daemon-3.20.0-1.fc24.
Comment 47 Dustin Berger 2016-04-04 02:08:38 EDT
*** Bug 1323565 has been marked as a duplicate of this bug. ***
Comment 48 2284577490 2016-04-16 14:37:37 EDT
*** Bug 1327841 has been marked as a duplicate of this bug. ***
Comment 49 2284577490 2016-04-16 14:42:45 EDT
*** Bug 1327842 has been marked as a duplicate of this bug. ***
Comment 50 Dmitry Ryabtsev 2016-04-20 20:01:20 EDT
*** Bug 1329021 has been marked as a duplicate of this bug. ***
Comment 51 2284577490 2016-04-23 10:42:13 EDT
*** Bug 1329826 has been marked as a duplicate of this bug. ***
Comment 52 2284577490 2016-04-30 01:01:07 EDT
*** Bug 1331929 has been marked as a duplicate of this bug. ***
Comment 53 Scott Jordan 2016-04-30 12:18:21 EDT
*** Bug 1331962 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.